<< ifftn | FOSSEE_Signal_Processing_Toolbox | ifht >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > ifftshift1

# ifftshift1

Undo the action of the 'fftshift1' function.

### Syntax

    y = ifftshift1(x)
    y = ifftshift1(x, dim)

### Parameters

x:

  Input vector or matrix corresponding to time samples.

dim:

  (optional) Dimension along which the permutation occurs. Default is the first non-singleton dimension.

### Description

Undoes the action of the 'fftshift1' function. For inputs of even length, 'fftshift1' is its own inverse, but odd lengths differ slightly.

### Examples

    x = [1, 2, 3, 4];
    ifftshift1(fftshift1(x))

Report an issue
<< ifftn | FOSSEE_Signal_Processing_Toolbox | ifht >>